FFmpeg is a complete, cross-platform solution to record, convert and stream audio and video.

learn more… | top users | synonyms

2
votes
1answer
964 views

FFmpeg use AAC encoder

I am trying to do some video conversion with FFmpeg. I have an mp4 video file (by which I mean, "it has an mp4 extension") that isn't being accepted by the Brasero disk burner, so I'm trying to use ...
-4
votes
1answer
425 views

How to control volume in FFMPEG [closed]

Please can anyone explain me how to change/set volume for audio while it is playing. Edit from comment: I am using ffmpeg as a decoder and using it with SDL_MIXER. I have added 'volume' filter and ...
1
vote
1answer
1k views

How can I install ffmpeg on Lubuntu 14.04? [duplicate]

It seems that the original ffmpeg has been dropped by Debian for the moment (in favour of the fork libav) but will be back in 15. Some people seem to think ffmpeg is deprecated or stale: it's not, ...
1
vote
2answers
601 views

How to make ffmpeg executable everywhere?

I have installed ffmpeg by following this tutorial: https://trac.ffmpeg.org/wiki/CompilationGuide/Ubuntu Now, ffmpeg works if i cd to bin and execute like ./ffmpeg. I wonder if i execute ffmpeg ...
0
votes
1answer
385 views

What is 0 and 0 in hw:0,0 mean? and how can I get those value?

I'm trying to do screencast and record application sound too with ffmpeg. But, I can't get the application sound recorded. I think there's something wrong with my command. What I'm doing is like this: ...
1
vote
2answers
6k views

How to install ffmpeg on ubuntu? [duplicate]

For transcoding video I need to use ffmpeg. I have tried to install but I have faced with problems. Is anyone that can help with this case or can anyone offer any weblink or guide where I can follow ...
0
votes
1answer
5k views

How to install and/or run Universal Media Server on Ubuntu 14.04?

I have installed UMS onto my Ubuntu box according to the manual here. All commands worked fine except two: 1) I was unable to install ffmpeg package which is absent in this version of Ubuntu. I have ...
1
vote
2answers
687 views

.sh ffmpeg works manually, not with CRON

I make a movie from jpeg pictures with the script: #create movie ffmpeg -i /home/philippe/Dropbox/Public/Cheiron/day/%d.jpg -r 25 -q:a 5 -pix_fmt yuv420p ...
0
votes
1answer
1k views

Convert a video to a fixed screen size by cropping and resizing

I've tried to figure this out myself, but the myriad of options just baffles me. I want to use ideally either ffmpeg or mencoder (or something else, but those two I know I have working) to convert ...
0
votes
1answer
366 views

ffmpeg not recognized

I am having a problem with ffmpeg. I had it installed and then installed 14.10. I reinstalled it, but I am getting this error message. Also, I went to this website ...
0
votes
1answer
2k views

Cannot install last version of OpenCV on Ubuntu 14.10

I try to install opencv using the instructions from here but I get every time the error Linking CXX shared library ../../lib/libopencv_videoio.so /usr/bin/ld: /usr/local/lib/libavcodec.a(avpacket.o): ...
0
votes
2answers
375 views

How can I satisfy Audacity asking for libavformat.so.53, while Ubuntu 14.04 has libavformat.so.54?

I am using Audacity 2.0.5. I have been trying to edit video files. I know that Audacity is an audio DAW, but I recently learned that it was possible to import a file through ffmpeg and seperate the ...
0
votes
1answer
2k views

At least one output file must be specified ffmpeg

ffmpeg -i oceans.mov -an -c:v libx264 -r 24 -preset fast \ -profile:v baseline -g 64 -keyint_min 64 -b:v:0 230k -maxrate 250k -s:v:0 304x128 \ -x264opts pic-struct:no-scenecut -movflags ...
3
votes
2answers
6k views

OpenCV installation

During the installation of OpenCV I get the following error: moslah@moslah-Lenovo-G560:~/Downloads/opencv-2.4.10/build$ cmake ../ -- Detected version of GNU GCC: 48 (408) -- Found OpenEXR: ...
5
votes
0answers
890 views

Error Message in Arista Transcoder, how to install ffdeinterlace plugin?

I keep getting this error message when I want to transcode a dvd into say an avi file format. This is the error message I get: Required plugin could not be found Python (v2.7) requires to install ...
0
votes
1answer
320 views

WMV files not playing anymore with VLC nor with Video application in 14.04

For an unknown reason, my WMV files are not played with VLC nor with Video application. VLC or Video application start but disappear instantly. All those WMV files were readable PERFECTLY via VLC ...
1
vote
1answer
333 views

Avconv doesn't convert .MKV to .MP4 no errors output file 0KB

I understand that this is SIMILAR to questions asked before and using those posts I have actually got the file process going however when it finishes (with out errors mind you) the .mp4 is a 0KB file ...
1
vote
0answers
967 views

Merge multiple webm files using avconv

I have multiple webm files in one location, say as inside video folder. I have ubuntu system. I want to merge all my web.m files in one output.wem file. I have read about ffmpeg, but when I tried ...
1
vote
4answers
2k views

One liner ffmpeg (or other) to get only resolution?

I'm not really well versed in the command line so hopefully this isn't too stupid of a question. If I run: ffmpeg -i videofile.avi I get an output such as this: ffmpeg version ...
0
votes
1answer
345 views

avformat package seems to have outdated headers

I have libavformat56 and libavformat-dev installed on my machine. I'm building some source right now which uses the libavformat.h header. The source (nameply the Pangolin library by Steven Lovegrove) ...
1
vote
0answers
89 views

Ffmpeg 2.5.2 executable not replacing existing version

I'm trying to upgrade my ffmpeg from 0.10 to the latest (2.5.2). I performed the upgrade yesterday on a different Ubuntu 13.10 machine and it worked perfectly, so I'm not sure what I'm doing wrong. I ...
0
votes
2answers
5k views

VLC unable to play wmv

I recently installed ffmpeg on Ubuntu 14.04 to do some video editing because avconv didn't have some options that I wanted or knew about. After installing ffmpeg, VLC seems to be unable to play wmv ...
0
votes
1answer
213 views

Error trying to convert .avi to .iso in DeVeDe - Conversion failed. It seems a bug of Mencoder

After a lot of Googling, I still cannot convert an avi to an iso. I tried to install ffmpeg from ppa https://launchpad.net/~jon-severinsson/+archive/ffmpeg and I changed in preferences "Encoder for ...
3
votes
0answers
546 views

mpd crashes on database update

Mpd (latest version from repositories, Ubuntu 14.10) crashes when refreshing the database. At first it crashed on every m4a file, even with the necessary libraries (libmad0) installed and up to date. ...
1
vote
0answers
318 views

VLC crashes on playing WMV after installing (and removing) FFmpeg

I have Xubuntu 14.04. I added the ppa:jon-severinsson/ffmpeg repo and then installed ffmpeg and frei0r-plugins. After doing that VLC started crashing on playing WMV files. All WMV files cause it to ...
2
votes
2answers
8k views

ffmpeg & ffprobe & libfdk-aac on Ubuntu 14.10 server

How to install properly ffmpeg? (not a duplicate as most of the similar answers don't work properly) Normally i compile ffmpeg manually with the following guide ...
1
vote
0answers
276 views

ubuntu stream microphone to dlna in near real time

I want to use 14.04 to stream LineIn or microphone out to my cinema-theather, I used this tips: ...
4
votes
3answers
17k views

How to install avconv with libfdk_aac on Ubuntu 14.04?

How to install or compile avconv with libfdk_aac on Ubuntu 14.04 ? I am also ok with comparable aac codecs e.g. http://wiki.hydrogenaud.io/index.php?title=Fraunhofer_FDK_AAC Currently I am trying ...
2
votes
0answers
1k views

avconv/ffmpeg - audio slowly drifts out of sync, original is in sync

Almost all of the instructions I've read about drifting audio sync is regarding live screen recording. I'm simply trying to truncate useless video from the end of a raw DV file in an effort to prepare ...
0
votes
1answer
2k views

Building ffmpeg deb package gives fakeroot debian/rules clean gave error exit status 2

I am trying to build my first .deb package (with ffmpeg sources) and I get some errors. Those are my steps that can be reproduced to get this error: git clone git://source.ffmpeg.org/ffmpeg.git ...
0
votes
1answer
124 views

Remove source code directories after compiling ffmpeg?

I've just finished compiling ffmpeg. The code was downloaded into ~/src, then configured it, ran make, and then checkinstall. It seems to be working good. Now that all that is done, is it now safe to ...
0
votes
3answers
606 views

mplayer configure Error: libavutil/x86/asm.h header is required for shared FFmpeg

In Ubuntu 14.04,I run ./configure --enable-gui --enable-xvid-lavc --enable-xv --enable-alsa to install mplayer,when it comes to Checking for FFmpeg .... then the error shows up. I cat config.log, the ...
0
votes
1answer
110 views

My bash script depends on ffmpeg which was removed when I upgraded to 14.04. What to do? [duplicate]

I have a bash script to capture images using the webcam and it depended on ffmpeg. I recently upgraded from 13.10 to 14.04 and noticed that ffmpeg was removed and this script wouldn't work anymore. ...
1
vote
1answer
468 views

I uninstalled Chromium. Why still extra ffmpeg codecs for the chromium browser in ubuntu update?

Chromium kept crashing on the gmail webpage (aw snap) and I have uninstalled it and installed goggle chrome. In software updater, I see "extra ffmpeg codecs for the chromium browser" is this for ...
0
votes
1answer
392 views

Trying to merge .avi videos with mencoder

I started by using the suggestions found at this link: How to join video files from terminal? It worked for the first 6 times that I tried to merge a group of small .avi files into one larger file. ...
0
votes
1answer
709 views

Can not install Mobile Media Convert on Ubuntu 14.04

After installling 14.04, I have tried several .deb versions of Mobile Media Converter but all have unmet dependencies. like this: $ sudo dpkg -i mmc_1.7.4_amd64.deb Selecting previously unselected ...
1
vote
1answer
1k views

ffmpeg installation, kubuntu utopic unicorn

I haven't found any utopic unicorn ffmeg repositories, so I am trying to install it from https://launchpad.net/~jon-severinsson/+archive/ffmpeg by changing version from utopic to trusty in ...
5
votes
1answer
768 views

Is it possible to have both libav and ffmpeg installed and running on ubuntu 14.04?

I want to use Clementine but it needs ffmpeg to be installed if I want to play .ape files from it. On the other way, I still want to have VLC up and running, and I understand that VLC does no longer ...
0
votes
1answer
715 views

problem in installing ffmpeg in ubuntu 14.04

I try to install ffmpeg in unbutu according to https://trac.ffmpeg.org/wiki/CompilationGuide/Ubuntu I create a shell file with below code sudo apt-get update sudo apt-get -y install autoconf ...
2
votes
2answers
2k views

FFmpeg, error hardcoding subtitles

I'm trying to use ffmpeg to hardcode subtitles, but it gives this error: No such filter: 'subtitles' Error opening filters! My ffmpeg command and complete console output: $ ffmpeg -i ...
1
vote
1answer
822 views

How do I stream computer audio only with ffmpeg?

I am using this script: http://www.thegameengine.org/miscellaneous/streaming-twitch-tv-ubuntu/ to stream to Twitch. It works but I don't want to stream my microphone, only the computer audio. How ...
1
vote
1answer
758 views

Problem with m4a files

Rhythmbox, vlc and totem instantly crash when opening a m4a file. When I run rhythmbox -d and play a m4a file, I receive this message: (rhythmbox:9023): GStreamer-CRITICAL **: ...
4
votes
3answers
5k views

Run command for every file in directory

I'm converting all of my video files to WebM, to greatly reduce the amount of hard disk space being used. To do this I use the program "ffmpeg" which requires an input and output file specified. Since ...
1
vote
3answers
15k views

ffmpeg unkown libfaac ubuntu 14.04

I Have Installed ffmpeg 2.3 in Ubuntu 14.04 ffmpeg -i demo.mpg -acodec libfaac demo.mp4 ffmpeg version 2.3 Copyright (c) 2000-2014 the FFmpeg developers built on Aug 13 2014 22:15:33 with gcc 4.8 ...
1
vote
3answers
1k views

Some Youtube videos won't play in Kubuntu 14.04 and Chromium 36.0.1985.125

I'm running Kubuntu 14.04 and Chromium 36.0.1985.125. I'm finding that some YouTube videos give me the error: The Adobe Flash Player is required for video playback. But most other videos work ...
1
vote
5answers
9k views

How to use Ffmpeg to convert wma to mp3 recursively, importing from txt file?

I tried different options from forums, but most of them are out of date (ffmpeg tells me about it, like with -sameq option). Im trying to understand the docs, but I can't. I want to know how to ...
1
vote
2answers
4k views

bash: ./configure: No such file or directory while installing FFMPEG

I am trying to install FFMPEG in Ubuntu 14.04. I got help to install FFMPEG installation In meanwhile I got an error `bash: ./configure: No such file or directory` I am getting this error when I ...
5
votes
1answer
9k views

How to do I convert an webm (video) to a (animated) gif on the command line?

I suppose ffmpeg is the weapon of choice but I didn't find out how to reach my goal.
2
votes
4answers
8k views

How to convert flv to mp3 on ubuntu 14 without ffmpeg

And how to do any convertions in Ubuntu 14 if there is no ffmpeg anymore? When I last use it prev version I had warning to use different tool but I don't remember what it was.
0
votes
1answer
235 views

Error when installing clipgrab on Trusty

I wanted to install clipgrab on Trusty, but get the following error when running sudo apt-get install clipgrab (I added the PPA and ran apt-get update): Reading package lists... Done Building ...